Name:		mesp
Version:	1.02
Release:	1%{?dist}
Summary:	Java parser for mathematical expressions
License:	BSD
URL:		https://sourceforge.net/projects/expression-tree/
Source0:	https://sourceforge.net/projects/expression-tree/files/expression-tree/mesp1.02/mesp1.02.zip/download
BuildRequires:	java-devel jpackage-utils
Requires:	java jpackage-utils

%description
Parser for mathematical expressions written in Java. Expressions may
contain variables, functions and constants. The parser turns a string
argument into an expression tree, which then can be evaluated.

%prep
%setup -q -n mesp


%build
pushd src
javac com/graphbuilder/struc/*.java
javac com/graphbuilder/math/func/*.java
javac com/graphbuilder/math/*.java
jar cfv Mesp.jar com/graphbuilder/struc/*.class \
    com/graphbuilder/math/func/*.class com/graphbuilder/math/*.class \
    license.txt


%install
mkdir -p %buildroot%_javadir
cp src/Mesp.jar %buildroot%_javadir/mesp.jar


%files
%doc readme.txt release-notes.txt api
%_javadir/mesp.jar


%changelog
* Mon Feb 11 2019  <loveshack@fedoraproject.org> - 1.02-1
- Initial packaging
